# -*- encoding: utf-8 -*-
# stub: svmkit 0.8.1 ruby lib

Gem::Specification.new do |s|
  s.name = "svmkit".freeze
  s.version = "0.8.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["yoshoku".freeze]
  s.bindir = "exe".freeze
  s.date = "2019-03-01"
  s.description = "SVMKit is a machine learninig library in Ruby.\nSVMKit provides machine learning algorithms with interfaces similar to Scikit-Learn in Python.\nSVMKit supports Linear / Kernel Support Vector Machine,\nLogistic Regression, Linear Regression, Ridge, Lasso, Factorization Machine,\nNaive Bayes, Decision Tree, AdaBoost, Random Forest, K-nearest neighbor algorithm,\nK-Means, DBSCAN, Principal Component Analysis, and Non-negative Matrix Factorization.\nNote that the SVMKit has been deprecated and has been renamed to Rumale.\n".freeze
  s.email = ["yoshoku@outlook.com".freeze]
  s.homepage = "https://github.com/yoshoku/svmkit".freeze
  s.licenses = ["BSD-2-Clause".freeze]
  s.post_install_message = "-------------------------------------------------------------------------\nNote that the SVMKit has been deprecated and has been renamed to Rumale.\nPlease see https://rubygems.org/gems/rumale\n-------------------------------------------------------------------------\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "SVMKit is a machine learninig library in Ruby. SVMKit provides machine learning algorithms with interfaces similar to Scikit-Learn in Python.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rumale>.freeze, ["~> 0.8"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 1.16"])
    s.add_development_dependency(%q<coveralls>.freeze, ["~> 0.8"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
  else
    s.add_dependency(%q<rumale>.freeze, ["~> 0.8"])
    s.add_dependency(%q<bundler>.freeze, [">= 1.16"])
    s.add_dependency(%q<coveralls>.freeze, ["~> 0.8"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
  end
end
